Britive platform release 2026.05.01 is now live in production.

Add profile permissions to a specified profile

Prev Next
Post
/api/paps/{papId}/permissions
Security
HTTP
Type bearer
Path parameters
papId
stringRequired
Body parameters
{
  "op": "add",
  "permission": {
    "papId": "n5unkqz5a2jme537o05c",
    "name": "BDK8Role",
    "type": "role",
    "description": null,
    "checkStatus": "Success",
    "message": "",
    "privileged": true,
    "source": "britive",
    "profilePermissionConstraintsSummaryDTO": null
  }
}
Expand All
object
op
string
Valid values[ "add", "remove" ]
permission
object (AppContainerPapPermission)
name
string
Pattern^((?!(\=)|(\-\-)).)*$
type
string
Pattern^((?!(\=)|(\-\-)).)*$
nativeId
string
appPermissionId
integer (int64)
description
string
permissionScopes
Array of object (PermissionScope)
object
name
string
type
string
scopeId
integer (int64)
parentId
string
nativeId
string
privileged
boolean
source
string
Responses
200

OK

object